/**
 * 数据结构 - 栈的实现
 *
 * Referer: https://medium.com/@_jmoller/javascript-data-structures-stacks-and-queues-ea877d72a5f9
 */
export interface IStack<T> {
    /**
     * add an element to stack
     *
     * @param element value
     */
    push(element: T): void;
    /**
     * remove and return the last element of stack
     */
    pop(): T | undefined;
    /**
     * return the last element of stack
     */
    peek(): T | undefined;
    /**
     * this size of stack
     */
    size(): number;
}
export declare class Stack<T> implements IStack<T> {
    private readonly capacity;
    private readonly storage;
    private count;
    constructor(capacity?: number);
    push(element: T): number;
    pop(): T;
    peek(): T;
    size(): number;
}
